BLYNK
HOME       📲 GETTING STARTED       📗 DOCS       ❓HELP CENTER       👉 SKETCH BUILDER

[SOLVED] After v5.0 update get error


#1

Hello
my easy project [1], before v5 it has no errors but after update to v5 get this error :

#define BLYNK_PRINT Serial


#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266_SSL.h>

// You should get Auth Token in the Blynk App.
// Go to the Project Settings (nut icon).
char auth[] = "YourAuthToken";

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "YourNetworkName";
char pass[] = "YourPassword";

void setup()
{
  // Debug console
  Serial.begin(9600);

  Blynk.begin(auth, ssid, pass);
}

void loop()
{
  Blynk.run();
}

tried blynk ssl sketch above same error

In file included from C:\Users\plazma\AppData\Local\Temp\arduino_modified_sketch_479276\ESP8266_Standalone_SSL.ino:6:0:

D:\elektronik\arduino projeler\libraries\Blynk\src/BlynkSimpleEsp8266_SSL.h: In instantiation of 'bool BlynkArduinoClientSecure<Client>::connect() [with Client = WiFiClientSecure]':

D:\elektronik\arduino projeler\libraries\Blynk\src/Blynk/BlynkProtocol.h:215:17:   required from 'bool BlynkProtocol<Transp>::run(bool) [with Transp = BlynkArduinoClientSecure<WiFiClientSecure>]'

C:\Users\plazma\AppData\Local\Temp\arduino_modified_sketch_479276\ESP8266_Standalone_SSL.ino:27:13:   required from here

D:\elektronik\arduino projeler\libraries\Blynk\src/BlynkSimpleEsp8266_SSL.h:140:18: error: 'class WiFiClientSecure' has no member named 'verifyCertChain'

           } else if (this->client->verifyCertChain(this->domain)) {

                  ^

D:\elektronik\arduino projeler\libraries\Blynk\src/BlynkSimpleEsp8266_SSL.h: In instantiation of 'void BlynkArduinoClientSecure<Client>::setCACert_P(const uint8_t*, unsigned int) [with Client = WiFiClientSecure; uint8_t = unsigned char]':

D:\elektronik\arduino projeler\libraries\Blynk\src/BlynkSimpleEsp8266_SSL.h:205:11:   required from 'void BlynkWifi<Transport>::config(const char*, const char*, uint16_t, const char*) [with Transport = BlynkArduinoClientSecure<WiFiClientSecure>; uint16_t = short unsigned int]'

D:\elektronik\arduino projeler\libraries\Blynk\src/BlynkSimpleEsp8266_SSL.h:232:47:   required from 'void BlynkWifi<Transport>::begin(const char*, const char*, const char*, const char*, uint16_t, const char*) [with Transport = BlynkArduinoClientSecure<WiFiClientSecure>; uint16_t = short unsigned int]'

C:\Users\plazma\AppData\Local\Temp\arduino_modified_sketch_479276\ESP8266_Standalone_SSL.ino:22:31:   required from here

D:\elektronik\arduino projeler\libraries\Blynk\src/BlynkSimpleEsp8266_SSL.h:132:9: error: 'class WiFiClientSecure' has no member named 'setCACert_P'

         this->client->setCACert_P(caCert, caCertLen);

         ^

Şu dizinde 1.0 sürümündeki ESP8266WiFi kütüphanesi kullanılıyor: C:\Users\plazma\AppData\Local\Arduino15\packages\esp8266\hardware\esp8266\2.3.0\libraries\ESP8266WiFi 
Şu dizinde 0.5.0 sürümündeki Blynk kütüphanesi kullanılıyor: D:\elektronik\arduino projeler\libraries\Blynk 
exit status 1
Error compiling for board Generic ESP8266 Module.
  1. Multi nodemcus & dht22 sensors single blynk project

#2

All I see is the “After Welcome Topic, user, since Nov 25, still doesn’t format code in forum” error…


#3

i used prefomarted text sorry i think its “code block” button fixed now


#4

Make sure you REMOVE all old library files/folders BEFORE installing 0.5.0. manually (don’t use the IDE command)


#5

Yes i did this way deleted all libarary and tools folders than fresh install blynk files.


#6

Well, everything compiles fine for me (library 0.5.0)… so something on your end is messed up.

PS, when formatting code for this forum… it is the Backtick key, not the Tilde key… and the </> doesn’t always work, so don’t bother with it for full code.

Blynk - FTFC


#7

3 times deleted and copied v5 files but same, downgrade old version its compiled, i couldn’t figure it why its not working on my pc, i will dig it :slight_smile:


#8

do you have latest arduino ide and esp 2.4.0-rc2 core?

no, you have the super old 2.3 …


#9

i have 2.3.0 stable release


#10

yeah, that is indeed the latest stable release, but unfortunately it has lots of bugs which affects blynk…


#11

its still contionus to fix it

its working with 2.4.0 RC


#12

than please change topic category to "solved’